Support » Plugin: Locatoraid Store Locator » Geocode error: request denied

  • Resolved dsnetall

    (@dsnetall)


    I have inserted an API Key but I still get the Geocode error and it shows “for development purposes only”. I checked billing and restrictions on the API key but they should be fine (even dropped all restrictions for a while to test it).

    • This topic was modified 7 months, 1 week ago by  dsnetall.
Viewing 4 replies - 1 through 4 (of 4 total)
  • Plugin Author hitcode

    (@hitcode)

    Hello,
    you could try to find out a more detailed error message in the browser console:

    in Chrome: CTRL + SHIFT + J
    in Firefox: CTRL + SHIFT + K
    in Safari: CTRL + ALT + I

    Also you will need to enable “Geocoding API” for this key, it might also be the reason.

    Hello,
    thank you for the quick answer.
    This is the error message I get:
    Google Maps JavaScript API warning: NoApiKeys
    But I inserted an API key, and the geocoding API is activated for the key.

    P.S I wrote a little HTML page that uses the API key to show a map and tested the API Key with a different plugin. Both of them are working

    Plugin Author hitcode

    (@hitcode)

    Hi,
    I’m sorry for not replying sooner. Would you mind giving me the link to the front end page with our shortcode? There might be other plugins or your theme making use of Google Maps and invoking it without the API key.

    dsnetall

    (@dsnetall)

    Hello,
    Yes it seems the API setting of the theme (which didn’t have one) overwrote the keysetting of the tool, but only in the backend. In the frontend it was working properly.

    thank you that solved it.

Viewing 4 replies - 1 through 4 (of 4 total)
  • The topic ‘Geocode error: request denied’ is closed to new replies.